#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEF,0x5E,0xBA,0x70,0xDE,0x92,0x48,0x0A,0xA5,0x65,0xA3,0xDE,
		0xB5,0xA5,0x9B,0x24,0x87,0x23,0x8E,0xFA,0xEB,0xD1,0x33,0x02,
		0x30,0xE7,0x20,0x8D,0x7C,0x7D,0x7A,0x58,0xF8,0xC1,0x3A,0xA9,
		0xDE,0x67,0x65,0x2C,0xD8,0x3A,0x0D,0x64,0x57,0x7D,0x0A,0x94,
		0x9C,0x96,0x19,0xE2,0x3A,0xD1,0x8D,0xD7,0x88,0x3D,0xC4,0xBF,
		0x9C,0x05,0x3B,0x9B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
